LINUX.ORG.RU

Ubuntu - зеркало на котором релизы для все архитектур

 , , ,


0

1

Кто в курсе киньте плз линк на сабж. А то попадаются зеркала либо с i386/amd64 или с arm64/armhf/ppc64el/s390x архитектурами. А нужно зеркало, включающее все. Цель-на девайсе с aarch64 архитектурой (armbian с Ubuntu bionic) запустить приложение для amd64 через chroot.

Текущий sources.list:

deb [arch=arm64] http://ports.ubuntu.com/ bionic main restricted universe multiverse
deb [arch=arm64] http://ports.ubuntu.com/ bionic-security main restricted universe multiverse
deb [arch=arm64] http://ports.ubuntu.com/ bionic-updates main restricted universe multiverse
deb [arch=arm64] http://ports.ubuntu.com/ bionic-backports main restricted universe multiverse
deb [arch=amd64] http://de.archive.ubuntu.com/ubuntu/ bionic main restricted universe multiverse  
deb [arch=amd64] http://de.archive.ubuntu.com/ubuntu/ bionic-security main restricted universe multiverse  
deb [arch=amd64] http://de.archive.ubuntu.com/ubuntu/ bionic-updates main restricted universe multiverse  
deb [arch=amd64] http://de.archive.ubuntu.com/ubuntu/ bionic-proposed main restricted universe multiverse  
deb [arch=amd64] http://de.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse 

После apt update выдаёт

N: Skipping acquire of configured file 'main/binary-amd64/Packages' as repository 'http://apt.armbian.com bionic InRelease' doesn't support architecture 'amd64'
N: Skipping acquire of configured file 'bionic-utils/binary-amd64/Packages' as repository 'http://apt.armbian.com bionic InRelease' doesn't support architecture 'amd64'
N: Skipping acquire of configured file 'bionic-desktop/binary-amd64/Packages' as repository 'http://apt.armbian.com bionic InRelease' doesn't support architecture 'amd64'

Непонятно причем тут apt.armbian.com если его в sources.list уже нет…

обнаружил такой файл

/etc/apt/sources.list.d/armbian.list 

cо строкой

deb http://apt.armbian.com bionic main bionic-utils bionic-desktop                                                                                           

закомментарил. Теперь после apt update все нормально

# apt update
Hit:1 http://de.archive.ubuntu.com/ubuntu bionic InRelease
Hit:2 http://de.archive.ubuntu.com/ubuntu bionic-security InRelease
Hit:3 http://de.archive.ubuntu.com/ubuntu bionic-updates InRelease
Hit:4 http://de.archive.ubuntu.com/ubuntu bionic-proposed InRelease
Hit:5 http://de.archive.ubuntu.com/ubuntu bionic-backports InRelease
Hit:6 http://ports.ubuntu.com bionic InRelease
Hit:7 http://ports.ubuntu.com bionic-security InRelease
Hit:8 http://ports.ubuntu.com bionic-updates InRelease
Hit:9 http://ports.ubuntu.com bionic-backports InRelease
Reading package lists... Done
Building dependency tree       
Reading state information... Done
7 packages can be upgraded. Run 'apt list --upgradable' to see them.

zorinquen ()
Ответ на: комментарий от firkax

установил на armbian binfmt-support_2.2.0-2_arm64.deb и qemu-user-static_3.1+dfsg-8+deb10u8_arm64.deb, но при попытке запустить бинарник пишет

 parsecd 
bash: /usr/bin/parsecd: cannot execute binary file: Exec format error

сам бинарник

# file /usr/bin/parsecd
/usr/bin/parsecd: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=a7deb118f614f38d1e7b22fb2066e6b1e886d2dd, not stripped
zorinquen ()
Ответ на: комментарий от zorinquen

а что означает «not stripped» в выводе

# file /usr/bin/parsecd
/usr/bin/parsecd: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=a7deb118f614f38d1e7b22fb2066e6b1e886d2dd, not stripped

?

zorinquen ()
Ответ на: комментарий от zorinquen

Новое иногда поддерживает старое.

На amd64 при определённых условиях можно запускать i686/i386/…

На arm64 при определённых условиях можно запускать armhf/armel/…

На старом новое можно только эмулировать, а ты этого не хочешь. Знать бы, что ты хочешь…

t184256 ★★★★★ ()
Ответ на: комментарий от zorinquen

Подробнее, что и где. Hello world, например, запустить невелика проблема, особенно если статический слинкованный. Что-нибудь CPU-жручее — тебя скорее всего не устроит результат.

Что запустить?

t184256 ★★★★★ ()
Ответ на: комментарий от zorinquen

после того, как я доустановил такие пакеты:

 libudev1:amd64, libssl1.1:amd64, libxcursor1:amd64, libxi6:amd64

при запуске он сейчас выдает:

# qemu-x86_64-static /usr/bin/parsecd app_daemon=1

[App Failure]
--------------------
Parsec could not create the application.
Please contact us if this problem persists.

zorinquen ()
Ответ на: комментарий от zorinquen

а на https://packages.ubuntu.com/bionic/arm64/coreutils/download нет даже прямого линка на deb-пакет для arm64 архитектуры. На repology.net только линки на coreutils source(( Кто-нибудь плз пришлите прямой линк на coreutils deb-пакет для arm64 Ubuntu bionic))

zorinquen ()
Ответ на: комментарий от t184256

parsec-rpi.deb который? не устанавливается, он под Raspberry, для которого нужен /dev/vchiq, которого у меня на tvbox нет, и вручную его пытался через mknod создать - не помогло, та же ошибка

# parsecd app_daemon=1
* failed to open vchiq instance

VCHIQ is a command interface between the running Linux kernel and peripherals (among other things) in the VideoCore silicon. /dev/vchiq provides generic userspace access to those commands for use by (at minimum) the camera and audio subsystems as well. It’s a decently dangerous interface to expose to random programs, hence the somewhat restrictive permissions by default.

Vchiq is specific to videocore on raspberry pi.

zorinquen ()

Что ты пускать-то собрался? Если что-то простое, то его наверное под арм пересобрать можно. А если что-то сложное, закрытое - то лучше просто забудь.

pinus_nigra ()
Ответ на: комментарий от pinus_nigra

qemu user mode делает возможным именно такой фокус - chroot в корневую систему для другой архитектуры. На скриншоте эмулятора e2k, про который недавно писали на лоре - chroot в какую-нибудь альтоастру для Эльбруса.
Правда, для задач ТСа действительно

ресурсов не хватит

token_polyak ()
Последнее исправление: token_polyak (всего исправлений: 2)
Ответ на: комментарий от pinus_nigra

А кх ты на арм запускаешь qemu-x86_64-static? Тебе qemu-aarch64-static нужен. В существовании которого я вообще сомневаюсь.

Всё верно он запускает. qemu-x86_64-static - это эмулятор x86_64, собранный под нативную (в его случае арм) систему. Только всё будет очень медленно, да.

firkax ()
Последнее исправление: firkax (всего исправлений: 1)
Ответ на: комментарий от zorinquen

Имелось ввиду, что даже если б удалось зпаустить parsecd под qemu - эмуляция заметно снижает производительность, и вполне вероятно, что parsecd не заработает должным образом (или заработает, но *очень* медленно)

token_polyak ()
Ответ на: комментарий от firkax

Всё верно он запускает. qemu-x86_64-static - это эмулятор x86_64, собранный под нативную (в его случае арм) систему.

Да попутал.

У меня на билд-сервере (x86_64 разумеется) сишный проект собирается 10 минут. Под aarch64 с qemu-user-static - два с половиной часа.

pinus_nigra ()